%define module_name	FUSE
%define module_version	1.0
%define module_release	alt4.36

%define kversion	2.4.22
%define krelease	alt36
%define flavour		std-up

%define base_arch %(echo %{_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%define kgcc_package	gcc2.96

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	%module_name modules
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Alexander Nekrasov <canis@altlinux.ru>

ExclusiveOS:	Linux
URL:		http://sourceforge.net/projects/avf
BuildPreReq:    kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%flavour = %kversion-%krelease
BuildRequires:  kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
%module_name modules

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
export CC=%kgcc
%configure --with-kernel=%_includedir/linux-%kversion-%flavour --disable-lib --disable-util --disable-example
%make_build

%install
install -D -m644 kernel/fuse.o $RPM_BUILD_ROOT/%module_dir/fuse.o

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt4.36
- Fixed compiler version selection.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt3.36
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt2.36
- Renamed to kernel-modules-FUSE.
- Fixed installed module location.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Wed Nov 05 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt1.36
- Imported to kernel CVS.

* Sun Nov 02 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt1
- first build
